Cyberduck Mountain Duck CLI

#5608 closed defect (thirdparty)

Double Uploading of Files

Reported by: johnpruden Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 4.0b8
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description

I'm noticing that when a file upload appears to be complete, the upload begins all over again making it take twice as long as it should. Why would that be?

Also, Cyberduck shows file sizes as being 4.6% smaller in size than Mac OSX Finder shows them to be. Why the difference?

Thanks.

Change History (6)

comment:1 Changed on Jan 1, 2011 at 11:44:57 PM by dkocher

Post any error message and the transcript from the log drawer in the Transfers window.

comment:2 Changed on Jan 3, 2011 at 4:29:35 PM by dkocher

Transfers window log drawer follows. The file uploads twice. After it reaches 100% during the upload, it continues on until it reaches 200%, then it's complete. No error messages.

I typically have to upload about 4GB of files at a time and it takes way too long to do it twice. Is it a preference setting that's wrong?

FROM TRANSFERS WINDOW:

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 7 of 1000 allowed.
220-Local time is now 07:49. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER public@johnpruden.com
331 User public@johnpruden.com OK. Password required
PASS ********
230-User public@johnpruden.com has group access to:  johnprud  
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
NOOP
200 Zzz...
SYST
215 UNIX Type: L8
PASV
227 Entering Passive Mode (69,89,21,64,247,23)
MLSD /
150 Accepted data connection
type=cdir;sizd=4096;modify=20110103144719;UNIX.mode=0755;UNIX.uid=8345;UNIX.gid=8347;unique=871g86b4036; .
type=pdir;sizd=4096;modify=20110103144719;UNIX.mode=0755;UNIX.uid=8345;UNIX.gid=8347;unique=871g86b4036; ..
226-Options: -a -l 
226 2 matches total
CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (69,89,21,64,190,211)
LIST -a
150 Accepted data connection
drwxr-xr-x    2 johnprud   johnprud         4096 Jan  3 07:47 .
drwxr-xr-x    2 johnprud   johnprud         4096 Jan  3 07:47 ..
226-Options: -a -l 
226 2 matches total
TYPE I
200 TYPE is now 8-bit binary
PASV
227 Entering Passive Mode (69,89,21,64,184,210)
STOR /03-02.wav
150 Accepted data connection
220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 6 of 1000 allowed.
220-Local time is now 08:21. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER public@johnpruden.com
331 User public@johnpruden.com OK. Password required
PASS ********
230-User public@johnpruden.com has group access to:  johnprud  
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
TYPE I
200 TYPE is now 8-bit binary
PORT 192,168,1,50,240,226
200 PORT command successful
STOR /03-02.wav
150 Connecting to port 61666
220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 4 of 1000 allowed.
220-Local time is now 08:53. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER public@johnpruden.com
331 User public@johnpruden.com OK. Password required
PASS ********
230-User public@johnpruden.com has group access to:  johnprud  
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
SITE CHMOD 666 /03-02.wav
200 Permissions changed on /03-02.wav
QUIT
221-Goodbye. You uploaded 0 and downloaded 0 kbytes.
221 Logout.
220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 5 of 1000 allowed.
220-Local time is now 08:53. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
USER public@johnpruden.com
331 User public@johnpruden.com OK. Password required
PASS ********
230-User public@johnpruden.com has group access to:  johnprud  
230 OK. Current restricted directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 AUTH TLS
 PBSZ
 PROT
 ESTA
 PASV
 EPSV
 SPSV
 ESTP
211 End.
QUIT
221-Goodbye. You uploaded 0 and downloaded 0 kbytes.
221 Logout.

comment:3 Changed on Jan 3, 2011 at 4:29:54 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:4 follow-up: Changed on Jan 3, 2011 at 4:35:54 PM by dkocher

As a first measure, disable automatic repetition of failed networking tasks in Preferences → Connection → Timeouts. It looks like the upload is repeated because the server fails to respond upon completion of the file transfer with an acknowledgment of 226 Transfer complete.

comment:5 in reply to: ↑ 4 Changed on Jan 4, 2011 at 2:59:05 PM by dkocher

Replying to dkocher:

As a first measure, disable automatic repetition of failed networking tasks in Preferences → Connection → Timeouts. It looks like the upload is repeated because the server fails to respond upon completion of the file transfer with an acknowledgment of 226 Transfer complete.

I/O Error: Upload Failed
Read timed out.

comment:6 Changed on Jan 4, 2011 at 3:01:29 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

There is an issue with the server not responding after the transfer has completed. Please report to your hosting service provider.

Note: See TracTickets for help on using tickets.
swiss made software